Tag Parser: OverallTests Class Reference

Tag Parser 12.5.3 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | List of all members
OverallTests Class Reference

The OverallTests class tests reading and writing tags and parsing technical information for all supported container/tag formats. More...

`#include <overall.h>`

Inheritance diagram for OverallTests:
[legend]
Collaboration diagram for OverallTests:
[legend]

## Public Member Functions
| OverallTests ()
void | setUp () override
| Creates some test meta data.
void | tearDown () override
void | testMkvParsing ()
| Tests the Matroska parser via MediaFileInfo.
void | testMp4Parsing ()
| Tests the MP4 parser via MediaFileInfo.
void | testMp3Parsing ()
| Tests the MP3 parser via MediaFileInfo.
void | testOggParsing ()
| Tests the Ogg parser via MediaFileInfo.
void | testFlacParsing ()
| Tests the FLAC parser via MediaFileInfo.
void | testMkvMakingWithDifferentSettings ()
| Tests the Matroska maker via MediaFileInfo.
void | testMkvMakingNestedTags ()
| Tests making a Matroska file with nested tags via MediaFileInfo.
void | testMp4Making ()
| Tests the MP4 maker via MediaFileInfo.
void | testMp4MakingWith64BitOffsets ()
| Tests the MP4 maker via MediaFileInfo with a big padding to require 64-bit chunk offsets.
void | testMp3Making ()
| Tests the MP3 maker via MediaFileInfo.
void | testOggMaking ()
| Tests the Ogg maker via MediaFileInfo.
void | testFlacMaking ()
| Tests the FLAC maker via MediaFileInfo.
void | testVorbisCommentFieldHandling ()
| Tests the Vorbis Comment specifc handling of certain fields done in VorbisComment::convertTotalFields().

## Detailed Description

The OverallTests class tests reading and writing tags and parsing technical information for all supported container/tag formats.

Definition at line 40 of file overall.h.

## Constructor & Destructor Documentation

## ◆ OverallTests()

OverallTests::OverallTests | ( |  | ) |

Definition at line 5 of file overallgeneral.cpp.

## Member Function Documentation

## ◆ setUp()

void OverallTests::setUp | ( |  | ) |
| override

Creates some test meta data.

Definition at line 13 of file overallgeneral.cpp.

## ◆ tearDown()

void OverallTests::tearDown | ( |  | ) |
| override

Definition at line 25 of file overallgeneral.cpp.

## ◆ testFlacMaking()

void OverallTests::testFlacMaking | ( |  | ) |

Tests the FLAC maker via MediaFileInfo.

Remarks
  Relies on the parser to check results.

Definition at line 114 of file overallflac.cpp.

## ◆ testFlacParsing()

void OverallTests::testFlacParsing | ( |  | ) |

Tests the FLAC parser via MediaFileInfo.

Definition at line 101 of file overallflac.cpp.

## ◆ testMkvMakingNestedTags()

void OverallTests::testMkvMakingNestedTags | ( |  | ) |

Tests making a Matroska file with nested tags via MediaFileInfo.

Remarks
  Relies on the parser to check results.

Definition at line 788 of file overallmkv.cpp.

## ◆ testMkvMakingWithDifferentSettings()

void OverallTests::testMkvMakingWithDifferentSettings | ( |  | ) |

Tests the Matroska maker via MediaFileInfo.

This method tests various combinations of the possible settings.

Remarks
  Relies on the parser to check results.

Definition at line 705 of file overallmkv.cpp.

## ◆ testMkvParsing()

void OverallTests::testMkvParsing | ( |  | ) |

Tests the Matroska parser via MediaFileInfo.

Definition at line 681 of file overallmkv.cpp.

## ◆ testMp3Making()

void OverallTests::testMp3Making | ( |  | ) |

Tests the MP3 maker via MediaFileInfo.

Remarks
  Relies on the parser to check results.

Definition at line 378 of file overallmp3.cpp.

## ◆ testMp3Parsing()

void OverallTests::testMp3Parsing | ( |  | ) |

Tests the MP3 parser via MediaFileInfo.

Definition at line 365 of file overallmp3.cpp.

## ◆ testMp4Making()

void OverallTests::testMp4Making | ( |  | ) |

Tests the MP4 maker via MediaFileInfo.

Remarks
  Relies on the parser to check results.

Definition at line 547 of file overallmp4.cpp.

## ◆ testMp4MakingWith64BitOffsets()

void OverallTests::testMp4MakingWith64BitOffsets | ( |  | ) |

Tests the MP4 maker via MediaFileInfo with a big padding to require 64-bit chunk offsets.

Remarks
  Relies on the parser to check results.

Definition at line 617 of file overallmp4.cpp.

## ◆ testMp4Parsing()

void OverallTests::testMp4Parsing | ( |  | ) |

Tests the MP4 parser via MediaFileInfo.

Definition at line 530 of file overallmp4.cpp.

## ◆ testOggMaking()

void OverallTests::testOggMaking | ( |  | ) |

Tests the Ogg maker via MediaFileInfo.

Remarks
  - Relies on the parser to check results.
  - FLAC in Ogg is tested in testFlacMaking().

Definition at line 227 of file overallogg.cpp.

## ◆ testOggParsing()

void OverallTests::testOggParsing | ( |  | ) |

Tests the Ogg parser via MediaFileInfo.

Remarks
  FLAC in Ogg is tested in testFlacParsing().

Definition at line 211 of file overallogg.cpp.

## ◆ testVorbisCommentFieldHandling()

void OverallTests::testVorbisCommentFieldHandling | ( |  | ) |

Tests the Vorbis Comment specifc handling of certain fields done in VorbisComment::convertTotalFields().

Definition at line 261 of file overallogg.cpp.

The documentation for this class was generated from the following files:

- tests/overall.h
- tests/overallflac.cpp
- tests/overallgeneral.cpp
- tests/overallmkv.cpp
- tests/overallmp3.cpp
- tests/overallmp4.cpp
- tests/overallogg.cpp